Bug 12935 - не учитывается /etc/X11/xorg.conf
: не учитывается /etc/X11/xorg.conf
Status: CLOSED FIXED
: Sisyphus
(All bugs in Sisyphus/x11_autosetup)
: unstable
: all Linux
: P2 normal
Assigned To:
:
:
:
: 13060
: 12100
  Show dependency tree
 
Reported: 2007-09-26 17:13 by
Modified: 2008-03-24 12:46 (History)


Attachments


Note

You need to log in before you can comment on or make changes to this bug.


Description From 2007-09-26 17:13:24
В установленной системе при настроенном xorg.conf x11serupdrv должен 
выполняться с учетом его.
Сервис hardware, который темерь обсолетиться этим пакетом раньше себя так и 
вел.

Это нужно, например, для того, чтобы при перезагрузке в другое ядро 
подхватывался другой драйвер nvidia, если модули ядра разные.

А эта ситуация сейчас и будет после перенесения в бранч нового драйвера.
------- Comment #1 From 2007-09-27 12:02:28 -------
это на пакет alterator-x11
------- Comment #2 From 2007-09-27 12:05:30 -------
Ни слова не понятно. Уточни что ты имеешь в виду. У нас везде x11setupdrv
вызывается именно с актуальным конфигом.
------- Comment #3 From 2007-09-27 13:40:54 -------
(In reply to comment #2)
> x11serupdrv вызывается именно с актуальным конфигом.
Не вижу. Где он вызывается с /etc/X11/xorg.conf?
------- Comment #4 From 2007-09-27 15:26:04 -------
Не понимаю.
запуск "x11setupdrv" не эквивалентен запуску "x11setupdrv /etc/x11/xorg.conf" ?

------- Comment #5 From 2007-09-27 15:40:25 -------
(In reply to comment #4)
> запуск "x11setupdrv" не эквивалентен 
> запуску "x11setupdrv /etc/x11/xorg.conf" ?
не нашел ни первого ни второго случая
------- Comment #6 From 2007-09-27 17:09:51 -------
После беседы выяснилось , что это не alterator, а сервис x11_autosetup.
------- Comment #7 From 2007-09-27 17:17:11 -------
в условие if [ ! -f /etc/X11/xorg.conf ]
достаточно добавить
else
    x11setupdrv
------- Comment #8 From 2007-09-27 18:16:32 -------
Это в бранч нужно закинуть
------- Comment #9 From 2007-10-08 13:41:53 -------
* Tue Oct 02 2007 Anton V. Boyarshinov <boyarsh@altlinux> 0.4-alt1
- fixed #12935